# Interface ICefSchemeHandlerFactory

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefSchemeHandlerFactory = interface(ICefBaseRefCounted)`

## Description

Interface that creates ICefResourceHandler instances for handling scheme requests. The functions of this interface will always be called on the IO thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_handler_factory_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefSchemeHandlerFactory

## Overview

### Methods

| `function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler;`

## Description

### Methods

| `function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler;`
Return a new resource handler instance to handle the request or an NULL reference to allow default handling of the request. |browser| and |frame| will be the browser window and frame respectively that originated the request or NULL if the request did not originate from a browser window (for example, if the request came from ICefUrlRequest). The |request| object passed to this function cannot be modified. ###### Attributes GUID['{4D9B7960-B73B-4EBD-9ABE-6C1C43C245EB}']

Generated by PasDoc 0.16.0-snapshot.